## com.mysql.jdbc
Class PreparedStatement.BatchParams

    java.lang.Object
      com.mysql.jdbc.PreparedStatement.BatchParams

Enclosing class:
  PreparedStatement

    public class PreparedStatement.BatchParams

extends java.lang.Object

Field Summary
`boolean[]` `isNull`
`boolean[]` `isStream`
`java.io.InputStream[]` `parameterStreams`
`byte[][]` `parameterStrings`
`int[]` `streamLengths`

Constructor Summary
`PreparedStatement.BatchParams(byte[][] strings, java.io.InputStream[] streams, boolean[] isStreamFlags, int[] lengths, boolean[] isNullFlags)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isNull

    public boolean[] isNull

### isStream

    public boolean[] isStream

### parameterStreams

    public java.io.InputStream[] parameterStreams

### parameterStrings

    public byte[][] parameterStrings

### streamLengths

    public int[] streamLengths

Constructor Detail

### PreparedStatement.BatchParams

    PreparedStatement.BatchParams(byte[][] strings,
                                  java.io.InputStream[] streams,
                                  boolean[] isStreamFlags,
                                  int[] lengths,
                                  boolean[] isNullFlags)